Package fr.gouv.vitam.common.database.builder.query.action

# Class UnsetAction

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action
fr.gouv.vitam.common.database.builder.query.action.UnsetAction

Direct Known Subclasses:
  `UnsetAction`

public class UnsetAction extends Action
UnSet Action: $unset : [ name, name, ... ]

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `currentAction, currentObject, currentUPDATEACTION, ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `UnsetAction()`
  ``
  `UnsetAction(String... variableNames)`
  UnSet Action constructor from list of variable names

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final UnsetAction`
  `add(String... variableNames)`
  Add other UnSet sub actions to UnSet Query

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `clean, createActionValueArrayVariable, createActionVariables, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, getCurrentAction, getCurrentObject, getUPDATEACTION, isReady, setReady, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsetAction

    protected UnsetAction()

  - ### UnsetAction

    public UnsetAction(String... variableNames) throws InvalidCreateOperationException
    UnSet Action constructor from list of variable names
    Parameters:
      `variableNames` - list of key name
    Throws:
      `InvalidCreateOperationException` - when query is invalid

- ## Method Details

  - ### add

    public final UnsetAction add(String... variableNames) throws InvalidCreateOperationException
    Add other UnSet sub actions to UnSet Query
    Parameters:
      `variableNames` - list of key name
    Returns:
      the UnSetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid